# Uses of Interface
org.eclipse.jface.text.contentassist.IContentAssistProcessor

Packages that use IContentAssistProcessor
Package
Description
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.

## Uses of IContentAssistProcessor in org.eclipse.jface.contentassist

Subinterfaces of IContentAssistProcessor in org.eclipse.jface.contentassist
Modifier and Type
Interface
Description
`interface`
`ISubjectControlContentAssistProcessor`
Deprecated.
As of 3.2, replaced by Platform UI's field assist support
Constructors in org.eclipse.jface.contentassist with parameters of type IContentAssistProcessor
Modifier
Constructor
Description
``
`SubjectControlContextInformationValidator(IContentAssistProcessor processor)`
Deprecated.

## Uses of IContentAssistProcessor in org.eclipse.jface.text.contentassist

Subinterfaces of IContentAssistProcessor in org.eclipse.jface.text.contentassist
Modifier and Type
Interface
Description
`interface`
`IContentAssistProcessorExtension`
Extension interface of `IContentAssistProcessor` that allows to get additional information when queried for auto activation
Fields in org.eclipse.jface.text.contentassist declared as IContentAssistProcessor
Modifier and Type
Field
Description
`final IContentAssistProcessor`
ContentAssistEvent.`processor`
The processor for the current partition.
Methods in org.eclipse.jface.text.contentassist that return IContentAssistProcessor
Modifier and Type
Method
Description
`IContentAssistProcessor`
ContentAssistant.`getContentAssistProcessor(String contentType)`
`IContentAssistProcessor`
IContentAssistant.`getContentAssistProcessor(String contentType)`
Returns the content assist processor to be used for the given content type.
Methods in org.eclipse.jface.text.contentassist with parameters of type IContentAssistProcessor
Modifier and Type
Method
Description
`static IContentAssistProcessorExtension`
IContentAssistProcessorExtension.`adapt(IContentAssistProcessor processor)`
`void`
ContentAssistant.`addContentAssistProcessor(IContentAssistProcessor processor, String contentType)`
Registers a given content assist processor for a particular content type.
`void`
ContentAssistant.`removeContentAssistProcessor(IContentAssistProcessor processor)`
removes the given processor from all content types in this `ContentAssistant`
`void`
ContentAssistant.`setContentAssistProcessor(IContentAssistProcessor processor, String contentType)`
Registers a given content assist processor for a particular content type.
Constructors in org.eclipse.jface.text.contentassist with parameters of type IContentAssistProcessor
Modifier
Constructor
Description
``
`ContextInformationValidator(IContentAssistProcessor processor)`
Creates a new context information validator which is ready to be installed on a particular context information.

## Uses of IContentAssistProcessor in org.eclipse.jface.text.templates

Classes in org.eclipse.jface.text.templates that implement IContentAssistProcessor
Modifier and Type
Class
Description
`class`
`TemplateCompletionProcessor`
A completion processor that computes template proposals.

## Uses of IContentAssistProcessor in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IContentAssistProcessor
Modifier and Type
Class
Description
`final class`
`HippieProposalProcessor`
A completion proposal computer for hippie word completions.

## Uses of IContentAssistProcessor in org.eclipse.ui.texteditor.templates

Methods in org.eclipse.ui.texteditor.templates that return IContentAssistProcessor
Modifier and Type
Method
Description
`protected IContentAssistProcessor`
TemplatePreferencePage.EditTemplateDialog.`getTemplateProcessor()`
Returns the content assist processor that suggests template variables.